from django import template
from ..models import SystemNachricht

register = template.Library()

@register.inclusion_tag('eigentags/systemnachricht.html')
def systemnachricht():
    return {'nachrichten': SystemNachricht.objects.filter(is_aktiv=True)}

@register.inclusion_tag('eigentags/formular.html')
def formular(form):
    return {'form' : form}

@register.inclusion_tag('eigentags/such_pagination.html', takes_context=True)
def such_pagination(context):
    return {
        'page_obj': context['page_obj'],
        'suchfeld' : context['view'].request.GET.get('suchfeld'),
    }
